<?php // Licence Publique Générale GNU (GNU General Publique License), Copyright 2005-2008 Geffrotin Yann
  

  if(isset($_SESSION["mailcli"])) 
  {
    
	if( mysql_select_db($base,$connexion) ){	// si connexion à la base réussi
      
      //transactions émises et reçues
		$requete_prev = "Select * from freepay_client_transferer where mailcli = '".$_SESSION["mailcli"]."'
          or mailcli2 = '".$_SESSION["mailcli"]."' order by datet desc limit 0,5;";
        $resultat_prev = mysql_query($requete_prev,$connexion);
		$ligne_prev = mysql_fetch_assoc($resultat_prev);
      
      //Traçabilité des transactions sous forme de tableau
      echo '<h4 class="titre">Historique rapide | <a href="'.$AdresseFreePay.'paiement/pay/pay_historique.php">Consulter tout l\'Historique</a></h4>';
      
      if(empty($ligne_prev)){
			echo'<p class="info">Aucune transaction pour l\'instant</p>';
      }else{
      
        //titre des colonnes du tableau
        echo '<table width="100%">
        <tr>
              <th>Date</th><th>Emetteur</th><th>Récepteur</th><th>Valeur</th><th>Devise</th>
        </tr>';
        
        
        do{
        
          echo '<tr>
          
          <td class="historique" 
            onmouseover="this.style.backgroundColor=\'white\'"
            onmouseout="this.style.backgroundColor=\'#c8d7e3\'" >'.$ligne_prev["datet"].'</td>
            
          <td class="historique" 
            onmouseover="this.style.backgroundColor=\'white\'"
            onmouseout="this.style.backgroundColor=\'#c8d7e3\'" >'.$ligne_prev["mailcli"].'</td>
            
          <td class="historique" 
            onmouseover="this.style.backgroundColor=\'white\'"
            onmouseout="this.style.backgroundColor=\'#c8d7e3\'" >'.$ligne_prev["mailcli2"].'</td>
            
          <td class="historique" 
            onmouseover="this.style.backgroundColor=\'white\'"
            onmouseout="this.style.backgroundColor=\'#c8d7e3\'" >'.$ligne_prev["valeurtrclient"].'</td>
          
          <td class="historique" 
            onmouseover="this.style.backgroundColor=\'white\'"
            onmouseout="this.style.backgroundColor=\'#c8d7e3\'" >'.$_SESSION["devise"].'</td>
            
          </tr>';
          

        }while( $ligne_prev = mysql_fetch_assoc( $resultat_prev ) ); //tant qu'il y a des valeurs ou que cpt soit égal à 5
        echo '</table>';
      }

	}else{
		  echo "<p class='erreur'>La base '<strong>$base</strong>' est introuvable sur <strong>MySQL</strong>. Il faut l'installer.</p>";
	}
  }else{
    echo'<p class="erreur">Veuillez vous connecter afin de pouvoir accéder à cette fonctionnalité.</p>';
  }


?>
